Connexion

Forum

Packaging Ajouter OnlyOffice Desktop editor Suite bureautique

Ysabeau Membre non connecté

Rang

Avatar

Inscrit le : 09/08/2015 à 17h23

Messages: 884

Le 05/08/2019 à 16h03
OnlyOffice a maintenant une version dite "desktop editor" donc pour une utilisation pas en ligne.

Les paquets existent en rpm.

J'ai téléchargé et essayé de l'installer, mais problème :

Citation :
Certains paquetages demandés ne peuvent pas être installés : onlyoffice-desktopeditors-5
3.3-43.86_64 (car libX11 est non satisfait).
Continuer quand même l'installation ?


Je continue l'installation des fois que, mais là il ne se passe plus rien. Il y a un truc que je vois faire ? Bon je ne passe pas en mode terminal, peut-être devrais-je en utilisant la commande urpmi *.rpm ? Ou bien ça ne changera rien ?

Ce serait bien de l'ajouter car, même si je trouve haïssable sa façon de transformer systématiquement les fichiers odf au format open xml de Microsoft, ce pourrait être utile dans certains cas pour les personnes qui doivent travailler des fichiers avec ce type de format car ils se targuent d'une excellente compatibilité avec les formats Microsoft.

Merci.

Lien de téléchargement :
https://www.onlyoffice.com/fr/download-desktop.aspx Edité par Ysabeau Le 05/08/2019 à 16h08


OS préféré Mageia 6 (LXDE) et 7 (XFCE), CMS préféré SPIP, suite bureautique préférée LibreOffice, logiciel de dessin préféré Inkscape.
Site web    
Ysabeau Membre non connecté

Rang

Avatar

Inscrit le : 09/08/2015 à 17h23

Messages: 884

Le 05/08/2019 à 16h12
Alors j'ai ré-essayé en mode terminal, il me ressort le même type de message :

Code BASH :
Le paquetage demandé ne peut pas être installé :
onlyoffice-desktopeditors-5.3.3-43.x86_64 (car liberation-sans-fonts est non satisfait)
Désirez-vous tout de même continuer ? (O/n) o
Certains paquets ont été installés mais d'autres ont échoué.
Le paquetage demandé ne peut pas être installé :
onlyoffice-desktopeditors-5.3.3-43.x86_64 (car liberation-sans-fonts est non satisfait)
Désirez-vous tout de même continuer ?


Apparemment, il ne trouve pas les polices et ça n'est pas installé. Edité par Ysabeau Le 05/08/2019 à 16h13


OS préféré Mageia 6 (LXDE) et 7 (XFCE), CMS préféré SPIP, suite bureautique préférée LibreOffice, logiciel de dessin préféré Inkscape.
Site web    
Jybz Membre non connecté

Rang

Avatar

Inscrit le : 10/10/2018 à 10h26

Messages: 1738

Le 05/08/2019 à 16h47
urpmi fonts-ttf-liberation
?
   
Ysabeau Membre non connecté

Rang

Avatar

Inscrit le : 09/08/2015 à 17h23

Messages: 884

Le 05/08/2019 à 17h23
Code BASH :
[root@localhost id]# urpmi fonts-ttf-liberation
Le paquetage fonts-ttf-liberation-2.00.4-1.mga7.noarch est déjà installé
Marque fonts-ttf-liberation comme étant manuellement installé, il ne sera pas considéré comme un paquet orphelin
writing /var/lib/rpm/installed-through-deps.list
 


Les polices sont bien là :-).


OS préféré Mageia 6 (LXDE) et 7 (XFCE), CMS préféré SPIP, suite bureautique préférée LibreOffice, logiciel de dessin préféré Inkscape.
Site web    
Jybz Membre non connecté

Rang

Avatar

Inscrit le : 10/10/2018 à 10h26

Messages: 1738

Le 05/08/2019 à 17h25
Bon... Alors on peut forcer... Mais ce n'est pas recommandé !
urpmi --allow-nodeps ./onlyoffice-desktopeditors-5.rpm
   
Ysabeau Membre non connecté

Rang

Avatar

Inscrit le : 09/08/2015 à 17h23

Messages: 884

Le 05/08/2019 à 17h26
Bon alors je ne vais pas forcer si ce n'est pas recommandé, merci :-)


OS préféré Mageia 6 (LXDE) et 7 (XFCE), CMS préféré SPIP, suite bureautique préférée LibreOffice, logiciel de dessin préféré Inkscape.
Site web    
Jybz Membre non connecté

Rang

Avatar

Inscrit le : 10/10/2018 à 10h26

Messages: 1738

Le 05/08/2019 à 17h32
ah peut-être avec --test en plus du truc pour forcer on peut aller plus loin
urpmi --allow-nodeps --test ./onlyoffice-desktopeditors-5.rpm
   
nic80 Membre non connecté

Rang

Avatar

Inscrit le : 06/08/2018 à 23h52

Messages: 1309

Le 05/08/2019 à 19h25
Bonjour,

Visiblement, il ne s' agit pas d' un paquet pour Mageia.

Comme les noms de paquets sont différents, forçement le rpm ne s' y retrouve pas...

Si on est sur que toutes les dépendances requises sont installées, alors potentiellement on peut forcer l' installation. Ce n' est pas recommandé parce qu' on risque de se retrouver avec un logiciel qui ne fonctionne pas correctement (au mieux), voir des fichiers qui pourraient disparaitre (si les scripts de pré installation ou post installation du fichier rpm font quelque chose en ce sens)
   
Ysabeau Membre non connecté

Rang

Avatar

Inscrit le : 09/08/2015 à 17h23

Messages: 884

Le 05/08/2019 à 19h43
nic80 :
Visiblement, il ne s' agit pas d' un paquet pour Mageia.


En effet. Mais il fallait bien essayer. Ça aurait pu fonctionner.

En fait ce qu'il ne trouve pas ou manque c'est libX11 ce qui est ennuyeux et, apparemment un certain nombre de polices pourtant installées. Je subodore que tout cela est lié à l'interface d'Onlyoffice et donc c'est un poil très gênant. D'où ma demande de rajouter ça à Mageia si possible.

Je ne vais donc pas prendre du temps à essayer d'autres manipulations. Merci Jybz d'avoir essayé, mais bon.


OS préféré Mageia 6 (LXDE) et 7 (XFCE), CMS préféré SPIP, suite bureautique préférée LibreOffice, logiciel de dessin préféré Inkscape.
Site web    
Jybz Membre non connecté

Rang

Avatar

Inscrit le : 10/10/2018 à 10h26

Messages: 1738

Le 05/08/2019 à 19h44
Que ce passe-t-il lorsque deux RPM ont un même fichier ?
Exemple :
Code BASH :
[jibz@jabztop ~]$ urpmf "bin/nc$"
mindi-busybox:/usr/lib64/mindi/rootfs/usr/bin/nc
netcat-traditional:/usr/bin/nc
netcat-openbsd:/usr/bin/nc

netcat-traditional et netcat-openbsd ont tous les deux le même fichier /usr/bin/nc
   
nic80 Membre non connecté

Rang

Avatar

Inscrit le : 06/08/2018 à 23h52

Messages: 1309

Le 05/08/2019 à 20h04
Bonjour,

Je dirais que (mais sans certitudes)

Netcat est un programme particulier, donc si tu l'installes directement, je suppose que la différencecest connue.

Si cela fait parti d' une installation plus importante, probablement que le choix est proposé si nécessaire ( mais dans ce cas là c' est que la fonctionnalité de base est respectée). Si les fichiers sont différents, alors ils seront en conflits normalement (et l' installation du paquet de l' un provoquera la désinstallation de l' autre).

Note: ici on s' éloigne du sujet original... Edité par nic80 Le 05/08/2019 à 20h05
   
Meuz Membre non connecté

Rang

Avatar

Inscrit le : 06/08/2011 à 11h50

Messages: 1136

Le 06/08/2019 à 13h40
Il reste la solution Appimage. Elle est disponible en bas de la page de téléchargement.
Je n'ai pas testé.

Edit. Testé superficiellement. Il semble fonctionnel. Edité par Meuz Le 06/08/2019 à 14h06
   
Ysabeau Membre non connecté

Rang

Avatar

Inscrit le : 09/08/2015 à 17h23

Messages: 884

Le 06/08/2019 à 14h13
Ah merci. Ça fonctionne.



OS préféré Mageia 6 (LXDE) et 7 (XFCE), CMS préféré SPIP, suite bureautique préférée LibreOffice, logiciel de dessin préféré Inkscape.
Site web    
Jybz Membre non connecté

Rang

Avatar

Inscrit le : 10/10/2018 à 10h26

Messages: 1738

Le 06/08/2019 à 14h17
Le code source est disponible :
https://github.com/ONLYOFFICE/DesktopEditors
voire libre :
https://github.com/ONLYOFFICE/DesktopEditors/blob/master/LICENSE

donc a priori, il est possible de le compiler, et de le proposer dans la logithèque de Mageia.org.
   
Ysabeau Membre non connecté

Rang

Avatar

Inscrit le : 09/08/2015 à 17h23

Messages: 884

Le 06/08/2019 à 14h44
Ouaip.

Cela dit, le document qui m'avait été soumis et qui pose un problème de compatibilité a des problèmes comparables au même endroit avec Onlyoffice.


OS préféré Mageia 6 (LXDE) et 7 (XFCE), CMS préféré SPIP, suite bureautique préférée LibreOffice, logiciel de dessin préféré Inkscape.
Site web    
Répondre
Vous n'êtes pas autorisé à écrire dans cette catégorie